pydo.partner_attachments.patch()

Generated on 9 Jun 2026 from pydo version v0.36.0

Usage

client.partner_attachments.patch(
    pa_id="4de7ac8b-495b-4884-9a69-1050c6793cd6",
    body={
        "name": "env.prod-partner-network-connect",
        "vpc_ids": [...],
        "bgp": {...},
    },
)
Returns JSONRaises HttpResponseError

Description

To update an existing partner attachment, send a PATCH request to /v2/partner_network_connect/attachments/{pa_id} with a JSON object containing the fields to be updated.

Parameters

pa_id string required

A unique identifier for a partner attachment.

Min: 1

name string optional

Example: env.prod-partner-network-connect

The name of the partner attachment. Must be unique and may only contain alphanumeric characters, dashes, and periods.

vpc_ids array of strings optional

Example: ['c140286f-e6ce-4131-8b7b-df4590ce8d6a', '994a2735-dc84-11e8-80bc-3cfdfea9fba1']

An array of VPCs IDs.

bgp object optional

BGP configurations

Show child properties
local_router_ip string required

Example: 169.254.0.1/29

IP of the DO router

peer_router_ip string required

Example: 169.254.0.6/29

IP of the NaaS provider router

peer_router_asn integer required

Example: 64532

ASN of the peer router

auth_key string required

Example: 0xsNnb1pwQlowdoMySEfWwk4I

BGP Auth Key

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.getenv("$DIGITALOCEAN_TOKEN"))
request = {
    "Name": "partner-network-test"
}

print(client.partner_attachments.patch("5a4981aa-9653-4bd1-bef5-d6bff52042e4", body = request))

Response Example

Show Response Example
{
  "partner_attachment": {
    "id": "5a4981aa-9653-4bd1-bef5-d6bff52042e4",
    "name": "env.prod-partner-network-connect",
    "state": "CREATED",
    "created_at": "2025-03-27T13:03:53Z",
    "connection_bandwidth_in_mbps": 1000,
    "region": "NYC",
    "naas_provider": "MEGAPORT",
    "vpc_ids": [
      "796c6fe3-2a1d-4da2-9f3e-38239827dc91"
    ],
    "bgp": {
      "local_asn": 65000,
      "local_router_ip": "2.2.2.2/29",
      "peer_asn": 65001,
      "peer_router_ip": "3.3.3.3/29"
    }
  }
}

More Information

See /v2/partner_network_connect/attachments/{pa_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.